CVSASKPASS(1)

NAME
cvsaskpass - prompt for a password for the CVS DCOP service

SYNOPSIS
cvsaskpass [ generic-options ] prompt

DESCRIPTION
This utility displays a dialog box prompting the user for the password to a CVS repository, then writes the password to standard output and exits. You should not need to run this program directly - it is designed for the internal use of cvsservice(1).

The prompt should be of the following form:

    user@host's password:

This will allow the dialog box to display the details of the CVS repository to the user.

This utility is part of the CVS service provided with Cervisia, which in turn is part of the TDE Software Development Kit.

OPTIONS
For a full summary of options, run cvsaskpass --help.

RETURN VALUE
If a password was succefully obtained, 0 is returned. If no prompt was supplied on the command-line or if the dialog was cancelled, 1 is returned.

SEE ALSO
cervisia(1), cvsservice(1), dcop(1).

Details of how to use the CVS service from within another script or C++ program can be found in /usr/share/doc/libcvsservice0/DESIGN.

AUTHOR
The CVS service was written by Christian Loose <christian.loose@kdemail.net>.
Cervisia was written by Bernd Gehrmann <bernd@physik.hu-berlin.de>, Christian Loose <christian.loose@kdemail.net>, Andre Woebbeking <woebbeking@web.de>, Carlos Woelz <carloswoelz@imap-mail.com> and others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).